
/*
 *Copyright © 2018 anji-plus
 *安吉加加信息技术有限公司
 *http://www.anji-plus.com
 *All rights reserved.
 */
package org.tio.sitexxx.server.controller;

import com.anji.captcha.model.common.ResponseModel;
import com.anji.captcha.model.vo.CaptchaVO;
import com.anji.captcha.service.CaptchaService;
import org.tio.http.server.annotation.RequestPath;
import org.tio.sitexxx.service.service.captcha.CaptchaLocalService;
import org.tio.utils.resp.Resp;

/**
 * 图形验证码
 * @author xufei
 * 2020年12月18日 下午1:40:12
 */
@RequestPath(value = "/anjiCaptcha")
public class AnjiCaptchaController {
	private static final CaptchaService captchaService = CaptchaLocalService.captchaService;

	/**
	 * 获取图片
	 * @param captchaVO
	 * @author xufei
	 * 2020年12月18日 下午1:40:26
	 */
	@RequestPath(value = "/get")
	public Resp get(CaptchaVO captchaVO) {
		ResponseModel model = captchaService.get(captchaVO);
		if (model.isError()) {
			return Resp.fail(model.getRepMsg());
		}
		return Resp.ok(model.getRepData());
	}

	/**
	 * 前端验证图片
	 * @param captchaVO
	 * @return
	 * @author xufei
	 * 2020年12月18日 下午1:40:52
	 */
	@RequestPath(value = "/check")
	public Resp check(CaptchaVO captchaVO) {
		ResponseModel model = captchaService.check(captchaVO);
		if (model.isError()) {
			return Resp.fail(model.getRepMsg());
		}
		return Resp.ok(model.getRepData());
	}

	/**
	 * 服务端验证图片-客户端验证服务，不建议使用
	 * @param captchaVO
	 * @return
	 * @author xufei
	 * 2020年12月18日 下午1:41:01
	 */
	@RequestPath(value = "/verify")
	public Resp verify(CaptchaVO captchaVO) {
		ResponseModel model = captchaService.verification(captchaVO);
		if (model.isError()) {
			return Resp.fail(model.getRepMsg());
		}
		return Resp.ok(model.getRepData());
	}

}
